/*
 * Require:
 *	- enable "Option ExecCGI"
 *	- add below lines to the .htaccess
 *	   AddHandler cgi-script .cgi
 *	   AddHandler server-parsed .html
 *
 * How to install:
 *	(to use TZ=Asia/Tokyo from jail)
 *	% sudo mkdir -p /var/www/usr/share/zoneinfo/Asia
 *	% sudo cp /usr/share/zoneinfo/Asia/Tokyo \
 *	    /var/www/usr/share/zoneinfo/Asia/
 *	% cc -Wall -static -o calendar-comment.cgi calendar_comment.c
 *	% touch calendar-comment.txt
 *	% sudo chown www calendar-comment.txt
 *
 * HTML example:
 *	<form action="./calendar-comment.cgi" id="commentForm" method="POST">
 *	  お名前: <input type="text" name="name" size="10">
 *	  コメント: <input type="text" name="comment" size="40">
 *	  <input type="submit">
 *	</form>
 *      <ul>
 *      <!--#include file="calendar-comment.txt" -->
 *      </ul>
 *
 * See also the comment on top of comment_subr.c.
 *
 * Author: YASUOKA Masahiko <yasuoka@yasuoka.net>
 * $Id: calendar_comment.c 138100 2012-06-25 08:02:26Z yasuoka $
 */
#define CHECK_CAPTCHA	1
#include "common_captcha.c"
#include "comment_subr.c"
#define COMMENT_PATH "/users/~yasuoka/calendar-comment.txt"

int
main(int argc, char *argv[])
{
	extern char *tzname[2];
	setenv("TZ", "Asia/Tokyo", 1);

	if (unveil(COMMENT_PATH, "rw") == -1)
		err(1, "unveil");
	if (pledge("stdio inet flock rpath wpath", NULL) == -1)
		err(1, "pledge");

	comment_cgi(COMMENT_PATH, "~/yasuoka/calender.html",
	    "yasuoka@yasuoka.net", "yasuoka@yasuoka.net");

	exit(EXIT_SUCCESS);
}
